---
title: Get information about the specified slot
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Network Interconnects](https://developers.cloudflare.com/api/go/resources/network_interconnects)

[Slots](https://developers.cloudflare.com/api/go/resources/network_interconnects/subresources/slots)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get information about the specified slot

client.NetworkInterconnects.Slots.Get(ctx, slot, query) (\*[SlotGetResponse](<https://developers.cloudflare.com/api/go/resources/network_interconnects#(resource)%20network_interconnects.slots%20%3E%20(model)%20SlotGetResponse%20%3E%20(schema)>), error)

GET/accounts/{account\_id}/cni/slots/{slot}

Gets information about a specific infrastructure slot allocation.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Magic WAN Write``Magic WAN Read``Magic Transit Read``Magic Transit Write`

##### ParametersExpand Collapse

slot string

formatuuid

[Link to this property](<#(resource)%20network_interconnects.slots%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20slot%20%3E%20(schema)>)

<details>

<summary>

query SlotGetParams

</summary>

AccountID param.Field\[string]

Customer account tag

<a href="#(resource)%20network_interconnects.slots%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20network_interconnects.slots%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type SlotGetResponse struct{…}

</summary>

ID string

Slot ID

formatuuid

<a href="#(resource)%20network_interconnects.slots%20%3E%20(model)%20SlotGetResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

<details>

<summary>

Facility SlotGetResponseFacility

</summary>

Address \[]string

<a href="#(resource)%20network_interconnects.slots%20%3E%20(model)%20SlotGetResponse%20%3E%20(schema)%20%3E%20(property)%20facility%20%3E%20(property)%20address">Link to this property</a>

Name string

<a href="#(resource)%20network_interconnects.slots%20%3E%20(model)%20SlotGetResponse%20%3E%20(schema)%20%3E%20(property)%20facility%20%3E%20(property)%20name">Link to this property</a>

</details>

<a href="#(resource)%20network_interconnects.slots%20%3E%20(model)%20SlotGetResponse%20%3E%20(schema)%20%3E%20(property)%20facility">Link to this property</a>

Occupied bool

Whether the slot is occupied or not

<a href="#(resource)%20network_interconnects.slots%20%3E%20(model)%20SlotGetResponse%20%3E%20(schema)%20%3E%20(property)%20occupied">Link to this property</a>

Site string

<a href="#(resource)%20network_interconnects.slots%20%3E%20(model)%20SlotGetResponse%20%3E%20(schema)%20%3E%20(property)%20site">Link to this property</a>

Speed string

<a href="#(resource)%20network_interconnects.slots%20%3E%20(model)%20SlotGetResponse%20%3E%20(schema)%20%3E%20(property)%20speed">Link to this property</a>

Account stringOptional

Customer account tag

<a href="#(resource)%20network_interconnects.slots%20%3E%20(model)%20SlotGetResponse%20%3E%20(schema)%20%3E%20(property)%20account">Link to this property</a>

CcrDeviceName stringOptional

<a href="#(resource)%20network_interconnects.slots%20%3E%20(model)%20SlotGetResponse%20%3E%20(schema)%20%3E%20(property)%20ccr_device_name">Link to this property</a>

</details>

[Link to this property](<#(resource)%20network_interconnects.slots%20%3E%20(model)%20SlotGetResponse%20%3E%20(schema)>)

### Get information about the specified slot

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/network_interconnects"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  slot, err := client.NetworkInterconnects.Slots.Get(
    context.TODO(),
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    network_interconnects.SlotGetParams{
      AccountID: cloudflare.F("account_id"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", slot.ID)
}
```

200 example

```
{
  "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "facility": {
    "address": [
      "string"
    ],
    "name": "name"
  },
  "occupied": true,
  "site": "site",
  "speed": "speed",
  "account": "account",
  "ccr_device_name": "ccr_device_name"
}
```

##### Returns Examples

200 example

```
{
  "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "facility": {
    "address": [
      "string"
    ],
    "name": "name"
  },
  "occupied": true,
  "site": "site",
  "speed": "speed",
  "account": "account",
  "ccr_device_name": "ccr_device_name"
}
```